<?xml version="1.0" encoding="UTF-8"?>

<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">

  <xsl:template match="project-downloads">
    <xsl:variable name="href"><xsl:value-of select="@href"/></xsl:variable>
    <document>
    <properties>
     <title><xsl:value-of select="@title"/></title>
    </properties>
    <body>
     <section name="다운로드">
<p>
<a href="http://archive.apache.org/dist/jakarta/">저장소</a>내의 바이너리와 소스 출시본, 일일 빌드와 링크들은 밑의 링크를 클릭하여 받을 수 있습니다.</p>

  <subsection name="출시 소식">
<p>자카르타 프로젝트에서 출시한 새 소식들을 빠르게 받을 수 있기 위해서 자카르타 <a href="../mail2.html#Announcement">출시소식</a> 메일링 리스트에
가입하는 것을 권장합니다.</p>
      </subsection>

      <subsection name="다운로드">
        <ul>
        <xsl:apply-templates select="project"/>
        </ul>
      </subsection>
      <subsection name="Gump Jars">
<p><a href="http://vmgump.apache.org/gump/public-jars/">모든 제품의 최신 개발버전 JAR 받기</a>(<a href="http://gump.apache.org">Gump</a>에 의해서 관리되고 있습니다.)</p>
      </subsection>

     </section>
    </body>
    </document>
  </xsl:template>


  <!-- largely matches the subproject template in download-pages.xsl -->
  <xsl:template match="project">
    <xsl:variable name="id"><xsl:value-of select="@id"/></xsl:variable>
    <xsl:if test="downloads">
      <xsl:if test="downloads/@mirrored != 'false'">
        <li class="project">
          <a href="downloads_{$id}.cgi"><xsl:value-of select="@name"/></a>
        </li>
      </xsl:if>
      <xsl:if test="downloads/@mirrored = 'false'">
        <li class="unmirrored_project">
          <a href="downloads_{$id}.html"><xsl:value-of select="@name"/></a>
        </li>
      </xsl:if>
    </xsl:if>
    <xsl:if test="not(downloads)">
      <li class="tiered_project">
        <a href="downloads_{$id}.html"><xsl:value-of select="@name"/></a>
      </li>
    </xsl:if>
  </xsl:template>

</xsl:stylesheet>
