<?xml version="1.0" encoding="ISO-8859-1"?>

<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0"
    xmlns:redirect="http://xml.apache.org/xalan/redirect"
        extension-element-prefixes="redirect">

  <!-- Defined parameters (overrideable) -->
  <xsl:param    name="docs.downloads.dest" select="'docs/site/downloads'"/>

  <!-- Defined variables (non-overrideable) -->

  <xsl:output method="text"/>

  <xsl:template match="project" name="project">
    <xsl:variable name="id"><xsl:value-of select="@id"/></xsl:variable>

    <xsl:if test="downloads">
      <xsl:if test="downloads/@mirrored != 'false'">
	<!--
        N.B. the first line of the script must immediately follow the tag
             or there will be a blank line at the start of the script.
    -->
        <redirect:write file="{$docs.downloads.dest}/downloads_{$id}.cgi">#!/bin/sh
# Wrapper script around mirrors.cgi script
# (we must change to that directory in order for python to pick up the
#  python includes correctly)
cd /www/www.apache.org/dyn/mirrors
/www/www.apache.org/dyn/mirrors/mirrors.cgi $*
        </redirect:write>
      </xsl:if>
    </xsl:if>

    <xsl:for-each select="project">
      <xsl:call-template name="project"/>
    </xsl:for-each>

  </xsl:template>

</xsl:stylesheet>
